import * as t from '../../shared/estree';
import type CodeGen from '../codegen';
/**
 * Generate an ES module AST from a template ESTree AST. The generated module imports the dependent
 * LWC components via import statements and expose the template function via a default export
 * statement.
 * @param templateFn
 * @param codeGen
 * @example
 * ```js
 * import { registerTemplate } from 'lwc';
 * // Components imports
 *
 * function tmpl() {
 *   // Template generated code
 * }
 * // Template metadata
 *
 * export default tmpl;
 * registerTemplate(tmpl);
 * ```
 */
export declare function format(templateFn: t.FunctionDeclaration, codeGen: CodeGen): t.Program;
//# sourceMappingURL=module.d.ts.map