export type scopeTokens = {
    scopeToken: string;
    legacyScopeToken: string;
    cssScopeTokens: string[];
};
/**
 * Generate the scope tokens for a given component. Note that this API is NOT stable and should be
 * considered internal to the LWC framework.
 * @param filename - full filename, e.g. `path/to/x/foo/foo.js`
 * @param namespace - namespace, e.g. 'x' for `x/foo/foo.js`
 * @param componentName - component name, e.g. 'foo' for `x/foo/foo.js`
 */
export declare function generateScopeTokens(filename: string, namespace: string | undefined, componentName: string | undefined): scopeTokens;
//# sourceMappingURL=scopeTokens.d.ts.map